summaryrefslogtreecommitdiffstats
path: root/dung-3.4.25-m2/common/dmesg.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dung-3.4.25-m2/common/dmesg.sh')
-rwxr-xr-xdung-3.4.25-m2/common/dmesg.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/dung-3.4.25-m2/common/dmesg.sh b/dung-3.4.25-m2/common/dmesg.sh
new file mode 100755
index 0000000..4047043
--- /dev/null
+++ b/dung-3.4.25-m2/common/dmesg.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# dmesg.sh
+#
+# Simple dmesg based feature test
+#
+# Copyright (C) 2013 Horms Soltutions Ltd.
+#
+# Contact: Simon Horman <horms@verge.net.au>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+
+set -e
+#set -x
+
+$(dirname $0)/dmesg-quiet.sh "$@"
+STATUS="$?"
+
+if [ "$STATUS" -eq "0" ]; then
+ echo "Test passed"
+fi
+
+exit "$STATUS"